;************************************ Timer0_contador.asm *************************************
;
; Este programa comprueba el funcionamiento del Timer 0 como contador de los impulsos
; aplicados a la lnea RA4/T0CKI, donde se ha conectado un pulsador. Cada vez que presiona
; el pulsador se incrementa el contenido del TMR0 y la cuenta se visualiza en binario 
; en los LEDS conectados a PORTB.
;
; Como es un incremento por cada impulso aplicado al pin TOCKI no es necesario asignarle
; divisor de frecuencia al TMR0, por tanto, el Prescaler se asigna al Watchdog.
;
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_OFF & _XT_OSC
	LIST	   P=16F84A
	INCLUDE  <P16F84A.INC>

	
; ZONA DE CDIGOS ********************************************************************

	ORG 	0
Inicio
	
	bsf	STATUS,RP0		; Acceso al Banco 1.
	movlw	b'00111000'		; TMR0 como contador por flanco descendente 
	movwf	OPTION_REG		; RA4/T0CKI. Prescaler asignado al Watchdog.
	clrf TRISB				;configura todos los bits de PORTB como salidas
	bcf	STATUS,RP0		; Acceso al Banco 0.
	clrf TMR0			; Inicializa el contador.
	clrf PORTB			; Inicializa PORTB

; La seccin "Principal" es de mantenimiento. Slo se dedica a visualizar el Timer 0.

Principal
	movf	TMR0,W			; Lee el Timer 0.
	movwf   PORTB
	goto	Principal


	END
	
