;************************************** EJERCICIO 6, practica 5 *********************************
;
;El PIC16F877A  hace parpadear alternativamente los leds conectados a PORTC y PORTD
; con un periodo de 0.25s entre el encendido y el apagado. 
;El TMR1 se emplea  para realizar la subrutina de retardo de 0.25segundos
;
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_OFF & _XT_OSC
	LIST	   P=16F877A
	INCLUDE  <P16F877A.INC>



; ZONA DE CDIGOS ********************************************************************

	ORG 	0
Inicio

	bsf	STATUS,RP0		; Acceso al Banco 1.
 	clrf TRISC			; PORTC se configura como salida.
	clrf TRISD			;	PORTD se configura como salida.
	bcf	STATUS,RP0		; Acceso al Banco 0.

	movlw	b'00110001' ; se configura el Timer1 con un prescaler de 8
	movwf	T1CON

Principal
	movlw 0xFF
	movwf PORTC			; PORTC pasa a nivel alto y PORT a nivel bajo
	clrf PORTD
	call	espera		; espera 0.25s
	clrf PORTC			; PORTC pasa a nivel bajo y PORT a nivel alto
	movlw 0xFF
	movwf PORTD			
	call	espera		; espera 0.25s
	goto 	Principal

; Subrutina "espera" -------------------------------------------------------

Carga equ .3036

espera
	movlw	low Carga
	movwf	TMR1L
	movlw	high Carga
	movwf	TMR1H
	bcf		PIR1,TMR1IF		; Resetea el flag de desbordamiento del TMR1. 
Rebosamiento
	btfss	PIR1,TMR1IF	; Se ha producido desbordamiento?
	goto	Rebosamiento	; Todava no. Repite.
	return


	END
	
